---
title: "ledstrip"
description: "SMC API Documentation"
url: https://developer.disguise.one/smc/api/ledstrip/
---

# Lighting API

-   [GET ledstrip](#get-ledstrip)
-   [POST ledstrip](#post-ledstrip)

## GET ledstrip

### Summary

Get the current settings of the rear LED strip at the back of the disguise server.

### URL

GET    /api/ledstrip

### Description

Get the current settings of the rear LED strip at the back of the disguise server:

-   static: entire strip is set to the same colour
-   colour\_id: 6 pixels at each side are set to the given RGB colour, the rest are white
-   rainbow: a rainbow moves across the ledstrip, RGB values have no effect

### Responses

-   **200:** Success - Ok
-   **500:** Check the response body for error details

### Response Body

```json
{
  "ledMode": "static",
  "ledR": 255,
  "ledG": 0,
  "ledB": 0
}
```

* * *

## POST ledstrip

### Summary

Set the colour and mode of the rear LED strip at the back of the disguise server.

### URL

POST    /api/ledstrip

### Description

Set the colour and mode of the rear LED strip at the back of the disguise server:

-   static: entire strip is set to the same colour
-   colour\_id: 6 pixels at each side are set to the given RGB colour, the rest are white
-   rainbow: a rainbow moves across the ledstrip, RGB values have no effect

### Request Body

```json
{
  "ledMode": "static",
  "ledR": 255,
  "ledG": 0,
  "ledB": 0
}
```

### Responses

-   **200:** Success - Ok
-   **400:** Bad request - check body for compatibility
-   **401:** Unauthorized - please login for access
-   **500:** Check the response body for error details

### Response Body

```json
{
  "message": "ok"
}
```
